onClipEvent(load){
   function toggleVolume()
   {
      if(app.soundVol == 100)
      {
         app.soundVol = 0;
         _parent.globalVolume.setVolume(0);
         app.helpMC.soundMC.gotoAndStop("soundOFF");
      }
      else
      {
         app.soundVol = 100;
         _parent.globalVolume.setVolume(100);
         app.helpMC.soundMC.gotoAndStop("soundON");
      }
   }
   function randomIn(lowerbound, upperbound)
   {
      return Math.round((upperbound - lowerbound) * Math.random() + lowerbound);
   }
   function radToDegrees(radsIn)
   {
      degrees = radsIn * 180 / 3.141592653589793;
      return degrees;
   }
   function degreesToRads(degreesIn)
   {
      radians = degreesIn * 3.141592653589793 / 180;
      return radians;
   }
   function addCommas(inNumber)
   {
      inNumber = "" + inNumber;
      if(inNumber.length > 3)
      {
         var _loc1_ = inNumber.length % 3;
         var _loc3_ = _loc1_ <= 0 ? "" : inNumber.substring(0,_loc1_);
         i = 0;
         while(i < Math.floor(inNumber.length / 3))
         {
            if(_loc1_ == 0 && i == 0)
            {
               _loc3_ += inNumber.substring(_loc1_ + 3 * i,_loc1_ + 3 * i + 3);
            }
            else
            {
               _loc3_ += "," + inNumber.substring(_loc1_ + 3 * i,_loc1_ + 3 * i + 3);
            }
            i++;
         }
         return _loc3_;
      }
      return inNumber;
   }
   function initGame()
   {
      _global.messaging = _parent.messagingMC;
      _global.HUD = _parent.hudMC;
      _global.scene = _parent.levelMC;
      levelHolder = _parent.levelMC;
      _global.tileW = 30;
      _global.tileH = 30;
      enemySpeed = 2;
      enemyLogicCount = 2;
      scorePatty = 25;
      scoreBurger = 100;
      totalScore = 0;
      levelScore = 0;
      lives = 3;
      mustard = 3;
      mustCount = 0;
      mustardEnabled = false;
      levelNum = 0;
      showHelpFlag = true;
      updateHUD();
      clearEnemies = true;
      gameOn = false;
      editGrid = false;
      editBurgers = false;
      map = [];
      burgerMap = [];
      tileW = 30;
      helpOn = false;
      quitOn = false;
      gameOver = false;
   }
   function flasher()
   {
      _parent.whiteFlashMC.gotoAndPlay("flasher");
   }
   function nextLevel()
   {
      levelNum++;
      if(levelNum > 9)
      {
         levelMult = Math.floor(levelNum / 9);
         if(levelMult == 1)
         {
            enemySpeed = 2.5;
         }
         if(levelMult == 2)
         {
            enemySpeed = 3;
         }
         if(levelMult == 3)
         {
            enemySpeed = 3.75;
         }
         levelRemainder = levelNum % 9;
         gotoLevel = levelRemainder;
      }
      else
      {
         gotoLevel = levelNum;
      }
      burgersCollected = 0;
      pattyArray = [];
      scene.gotoAndPlay(gotoLevel + 1);
   }
   function initLevel()
   {
      trace("init level routine");
      scripts.updateHUD();
      clearEnemies = true;
      burgersCollected = 0;
      pattyArray = [];
      mustardEnabled = false;
      buildMap();
      levelBonusCount = 0;
      scripts.levelDone = false;
      initChar();
   }
   function toggleQuit()
   {
      if(quitOn)
      {
         quitOn = false;
         _parent.helpMC.gotoAndPlay("hide");
         gamePaused = false;
         if(_parent.messagingMC.moving)
         {
            _parent.messagingMC.play();
         }
         else
         {
            levelMusicFile.stop();
            levelMusicFile.start(0,200);
            levelMusicOn = true;
         }
      }
      else
      {
         quitOn = true;
         gamePaused = true;
         levelMusicFile.stop();
         levelMusicOn = false;
         _parent.messagingMC.stop();
         _parent.helpMC.gotoAndPlay("showQuit");
      }
   }
   function doQuit()
   {
      _parent.gotoAndPlay("gameOver");
   }
   function toggleHelp()
   {
      if(helpOn)
      {
         _parent.soundMC._y = _parent.soundMC.startY;
         helpOn = false;
         _parent.helpMC.gotoAndPlay("hide");
         if(quitOn == false)
         {
            gamePaused = false;
            if(_parent.messagingMC.moving)
            {
               _parent.messagingMC.play();
            }
            else
            {
               levelMusicFile.stop();
               levelMusicFile.start(0,200);
               levelMusicOn = true;
            }
         }
      }
      else
      {
         helpOn = true;
         _parent.soundMC._y = 800;
         gamePaused = true;
         levelMusicFile.stop();
         levelMusicOn = false;
         _parent.messagingMC.stop();
         _parent.helpMC.gotoAndPlay("show");
      }
   }
   function charDie(mydir)
   {
      char.active = false;
      mustardEnabled = false;
      lives--;
      if(lives < 1)
      {
         scripts.loseAllLivesSound.start(0,1);
         levelDone = true;
      }
      gameOn = false;
      updateHUD();
      if(mydir == "left")
      {
         scene.char.art.gotoAndStop("dieL");
      }
      else
      {
         scene.char.art.gotoAndStop("dieR");
      }
      scripts.dieSound.start(0,1);
   }
   function initChar()
   {
      if(lives > 0)
      {
         e = 1;
         while(e < 10)
         {
            eval("scene.baddy_" + e).removeMovieClip();
            e++;
         }
         badCount = 0;
         clearEnemies = false;
         scene.char.art.gotoAndStop(1);
         charX = charStartPos[0];
         charY = charStartPos[1];
         charMC = scene.attachMovie("char","char",1000);
         charMC.myDir = "left";
         _global.char = charMC;
         char.active = true;
         charMC._x = charStartPos[0] * tileW + tileW / 2;
         charMC._y = charStartPos[1] * tileW + tileW / 2;
         powerUpDisplay = false;
         scene.powerUp_MC.removeMovieClip();
         sp = 1;
         while(sp <= spawnNum)
         {
            if(sp == 1)
            {
               eType = 1;
               enemySpawn(spawn1[0],spawn1[1],eType);
            }
            if(sp == 2)
            {
               eType = 2;
               enemySpawn(spawn2[0],spawn2[1],eType);
            }
            if(sp == 3)
            {
               eType = 3;
               enemySpawn(spawn3[0],spawn3[1],eType);
            }
            if(sp == 4)
            {
               eType = 3;
               enemySpawn(spawn4[0],spawn4[1],eType);
            }
            if(sp == 5)
            {
               eType = 2;
               enemySpawn(spawn5[0],spawn5[1],eType);
            }
            if(sp == 6)
            {
               eType = 2;
               enemySpawn(spawn6[0],spawn6[1],eType);
            }
            if(sp == 7)
            {
               eType = 3;
               enemySpawn(spawn7[0],spawn7[1],eType);
            }
            if(sp == 8)
            {
               eType = 2;
               enemySpawn(spawn8[0],spawn8[1],eType);
            }
            sp++;
         }
         mustardEnabled = false;
         attacking = false;
         messaging.gotoAndPlay("ready_go");
      }
      else
      {
         _parent.gotoAndPlay("gameOver");
      }
   }
   function newPowerUp(pType)
   {
      if(helpOn == false)
      {
         powerUpDisplay = true;
         scene.powerUp_MC.removeMovieClip();
         powX = bonusPos[0];
         powY = bonusPos[1];
         powerMC = scene.attachMovie("powerUp_MC","powerUp_MC",4000);
         powerMC.pType = pType;
         scene.powerUp_MC._x = powX * tileW;
         scene.powerUp_MC._y = powY * tileW;
         scene.powerUp_MC.gotoAndPlay(pType);
         pTimer = getTimer();
      }
   }
   function removePowerUp(rType)
   {
      trace("removing powerup, removeType:" + rType);
      pType = scene.powerUp_MC.pType;
      scene.powerUp_MC.removeMovieClip();
      if(rType == "hit")
      {
         trace("collected powerUP! of type:" + pType);
         if(pType == "Mustard")
         {
            powerUpSound.start(0,1);
            scripts.mustard = scripts.mustard + 1;
            scripts.updateHUD();
         }
         if(pType == "Spatula")
         {
            spatulaSound.start(0,1);
            b = 1;
            while(b <= badCount)
            {
               badMC = eval("scene.baddy_" + b);
               badMC.active = false;
               badMC.art.gotoAndStop("squish");
               b++;
            }
         }
      }
      powerUpDisplay = false;
   }
   function checkPowerUp()
   {
      if(scene.powerUp_MC.hitMask.hitTest(scene.char.hitMask))
      {
         removePowerUp("hit");
      }
   }
   function respawn(badMC)
   {
      spawnLoc = randomIn(1,4);
      if(spawnLoc == 1)
      {
         spawnX = spawn1[0];
         spawnY = spawn1[1];
      }
      if(spawnLoc == 2)
      {
         spawnX = spawn2[0];
         spawnY = spawn2[1];
      }
      if(spawnLoc == 3)
      {
         spawnX = spawn3[0];
         spawnY = spawn3[1];
      }
      if(spawnLoc == 4)
      {
         spawnX = spawn4[0];
         spawnY = spawn4[1];
      }
      startPos = [spawnX,spawnY];
      badMC.deltaX = 0;
      badMC.deltaY = 0;
      badMC.active = true;
      badMC.frozen = false;
      badMC.initTile = true;
      badMC.myDir = "down";
      badMC._x = startPos[0] * tileW;
      badMC._y = startPos[1] * tileW;
   }
   function buildMap()
   {
      d = 5;
      mapWidth = map[0].length;
      mapHeight = map.length;
      i = 0;
      while(i < map[0].length)
      {
         j = 0;
         while(j < map.length)
         {
            tile = scene.attachMovie("tile","t_" + i + "_" + j,++d);
            tile._x = i * tileW;
            tile._y = j * tileH;
            tile.gotoAndStop(map[j][i] + 1);
            tile.x = i;
            tile.y = j;
            j++;
         }
         i++;
      }
   }
   function showHelp()
   {
      helpOpen = true;
      _parent.helpMC.gotoAndPlay("open");
   }
   function closeHelp()
   {
      helpOpen = false;
      _parent.helpMC.gotoAndPlay("close");
   }
   function addScore(scoreVal)
   {
      oldScore = totalScore;
      totalScore += scoreVal;
      updateHUD();
      if(gameOn)
      {
         if(Math.floor(totalScore / 500) > Math.floor(oldScore / 500))
         {
            levelBonusCount++;
            bonusMod = levelBonusCount % 2;
            if(levelBonusCount % 2 == 0)
            {
               newPowerUp("Spatula");
            }
            else
            {
               newPowerUp("Mustard");
            }
         }
      }
      if(oldScore < 3000 && totalScore >= 3000)
      {
         if(lives > 0)
         {
            trace("newLife awarded");
            newLifeSound.start(0,1);
            lives++;
            updateHUD();
         }
      }
      if(totalScore > 5000)
      {
         lifeScore = totalScore - 3000;
         oldlifeScore = oldScore - 3000;
         if(Math.floor(lifeScore / 5000) > Math.floor(oldlifeScore / 5000))
         {
            trace("newLife awarded");
            extraLifeSound.start(0,1);
            lives++;
            updateHUD();
         }
      }
   }
   function updateHUD()
   {
      HUD.scoreDisplay = addCommas(totalScore);
      HUD.levelDisplay = levelNum;
      HUD.livesDisplay = lives;
      HUD.mustard = mustard;
   }
   function initPatty(pattyMC)
   {
      resetPatty(pattyMC);
      pattyMC.falling = false;
      pattyMC.weight = 0;
      pattyMC.burgerItemChain = 1;
      pattyMC.trapCount = 0;
      pattyArray.push(pattyMC);
      trayMC = "scene.tray_" + pattyMC.tray;
      restingTileY = Math.floor(pattyMC._y / tileH);
      eval(trayMC).myItem = pattyMC;
   }
   function resetPatty(pattyMC)
   {
      pattyMC.falling = false;
      pattyMC.gotoAndStop(1);
      pattyMC.p1.gotoAndStop("up");
      pattyMC.p1.up = true;
      pattyMC.p2.gotoAndStop("up");
      pattyMC.p2.up = true;
      pattyMC.p3.gotoAndStop("up");
      pattyMC.p3.up = true;
      pattyMC.burgerItemChain = 1;
      pattyMC.trapCount = 0;
   }
   function dropPatty(pattyMC)
   {
      pattyMC.trapCount = 0;
      pattyMC.falling = true;
      pattyMC.gotoAndStop("fall");
      trayMC = eval("scene.tray_" + pattyMC.tray);
      if(trayMC.myItem == pattyMC)
      {
         trayMC.myItem = null;
      }
   }
   function pattyFall(pattyMC)
   {
      if(levelDone == false)
      {
         pattyMC.gotoAndStop("fall");
         newY = pattyMC._y + 5;
         newTray = eval("scene.tray_" + (Number(pattyMC.tray) + 1));
         itemCount = newTray.collected;
         if(newTray.lastTray)
         {
            newTrayY = newTray._y - itemCount * 8;
         }
         else
         {
            newTrayY = newTray._y;
         }
         if(newY >= newTrayY)
         {
            pattyMC.falling = false;
            newY = newTrayY;
            resetPatty(pattyMC);
            pattyMC.tray += 1;
            pattySound.start(0,1);
            if(newTray.lastTray)
            {
               collectTray(newTray,pattyMC);
            }
            else
            {
               hitTray(newTray,pattyMC);
            }
         }
         pattyMC._y = newY;
      }
   }
   function hitTray(trayMC, burgerItem)
   {
      oldItem = eval(trayMC.myItem);
      trayMC.myItem = burgerItem;
      restingTileY = Math.floor(pattyMC._y / tileH);
      addScore(scorePatty);
      if(burgerItem.weight > 0)
      {
         burgerItem.weight--;
         burgerItemChain++;
         oldItem.weight = burgerItem.weight;
         oldItem._y += 15;
         dropPatty(oldItem);
         burgerItem.trapCount = 0;
         dropPatty(burgerItem);
      }
      else
      {
         burgerItem.trapCount = 0;
         dropPatty(oldItem);
      }
   }
   function collectTray(trayMC, burgerItem)
   {
      pattyMC.trapCount = 0;
      trayMC.collected += 1;
      if(trayMC.collected == pattyNum)
      {
         addScore(scoreBurger);
         burgerCompleteSound.start(0,1);
         burgersCollected++;
         if(burgersCollected == burgerNum)
         {
            scripts.gameOn = false;
            scripts.levelDone = true;
            char.art.gotoAndStop("win");
            _parent.messagingMC.gotoAndPlay("levelDone");
            scripts.clearEnemies = true;
         }
      }
      else
      {
         addScore(scorePatty);
      }
   }
   function finishMustard()
   {
      attacking = false;
   }
   function fireMustard()
   {
      if(mustard > 0 && mustardEnabled == true && gameOn)
      {
         mustardEnabled = false;
         if(scene.char.myDir == "right")
         {
            mustardEnabled = false;
            attacking = true;
            mustard -= 1;
            updateHUD();
            scene.char.art.gotoAndStop("attackR");
            mustardSquirtSound.start(0,1);
            mustCount++;
            mustardMC = scene.attachMovie("mustardMC","mustardMC_" + mustCount,2000 + mustCount);
            mustardMC._x = scene.char._x + 2 * tileW;
            mustardMC._y = scene.char._y;
         }
         if(scene.char.myDir == "left")
         {
            mustardEnabled = false;
            attacking = true;
            mustard -= 1;
            updateHUD();
            scene.char.art.gotoAndStop("attackL");
            mustardSquirtSound.start(0,1);
            mustCount++;
            mustardMC = scene.attachMovie("mustardMC","mustardMC_" + mustCount,2000 + mustCount);
            mustardMC._x = scene.char._x - 2 * tileW;
            mustardMC._y = scene.char._y;
         }
         if(scene.char.myDir == "up")
         {
            mustardEnabled = false;
            attacking = true;
            mustard -= 1;
            updateHUD();
            mustardSquirtSound.start(0,1);
            mustCount++;
            mustardMC = scene.attachMovie("mustardMC","mustardMC_" + mustCount,2000 + mustCount);
            mustardMC._x = scene.char._x - 1 * tileW;
            mustardMC._y = scene.char._y - 2 * tileW;
            scripts.finishMustard();
         }
         if(scene.char.myDir == "down")
         {
            mustardEnabled = false;
            attacking = true;
            mustard -= 1;
            updateHUD();
            mustardSquirtSound.start(0,1);
            mustCount++;
            mustardMC = scene.attachMovie("mustardMC","mustardMC_" + mustCount,2000 + mustCount);
            mustardMC._x = scene.char._x - 1 * tileW;
            mustardMC._y = scene.char._y + 2 * tileW;
            scripts.finishMustard();
         }
      }
   }
   function enemySpawn(sX, sY, eType)
   {
      startPos = [sX,sY];
      badCount++;
      if(eType == 1)
      {
         badMC = scene.attachMovie("baddy1","baddy_" + badCount,1000 + badCount);
      }
      if(eType == 2)
      {
         badMC = scene.attachMovie("baddy2","baddy_" + badCount,1000 + badCount);
      }
      if(eType == 3)
      {
         badMC = scene.attachMovie("baddy3","baddy_" + badCount,1000 + badCount);
      }
      badMC.deltaX = 0;
      badMC.deltaY = 0;
      badMC.myNumber = badCount;
      badMC.active = true;
      badMC.frozen = false;
      badMC.dead = false;
      badMC.falling = false;
      badMC.fallCheck = false;
      badMC.eType = eType;
      badMC.initTile = true;
      badMC.myDir = "down";
      badMC.myID = badCount;
      badMC._x = startPos[0] * tileW;
      badMC._y = startPos[1] * tileW;
      badMC.initX = startPos[0];
      badMC.initY = startPos[1];
      badMC.onEnterFrame = function()
      {
         if(clearEnemies)
         {
            scripts.badCount--;
            this.removeMovieClip();
         }
         if(this.active && this.falling == false && this.frozen == false && gameOn)
         {
            scripts.enemyGetPos(this);
         }
         scripts.enemyCollision(this);
         if(this.falling)
         {
            scripts.enemyFall(this);
         }
      };
   }
   function enemyRemove(clipMC)
   {
      badCount--;
      this.removeMovieClip();
   }
   function enemyCollision(clipMC)
   {
      if(clipMC.active && char.active && clipMC.frozen == false)
      {
         if(clipMC.hitMask.hitTest(scene.char.hitMask))
         {
            if(clipMC._x < scene.char._x)
            {
               charDie("left");
            }
            else
            {
               charDie("right");
            }
         }
      }
      if(clipMC.falling == false && clipMC.active)
      {
         i = 0;
         while(i < pattyArray.length)
         {
            pattyMC = pattyArray[i];
            if(pattyMC.falling)
            {
               trayMC = eval("scene.tray_" + pattyMC.tray);
               if(clipMC.footMask.hitTest(trayMC) && clipMC.footMask.hitTest(pattyMC))
               {
                  pattyMC.weight = pattyMC.weight + 1;
                  if(clipMC.active && clipMC.falling == false)
                  {
                     pattyMC.trapCount = pattyMC.trapCount + 1;
                     scripts.trapBonus(pattyMC);
                  }
                  clipMC.active = false;
                  clipMC.falling = true;
                  clipMC.currentY;
                  clipMC.currentTray = trayMC;
                  fallTray = eval("scene.tray_" + (Number(pattyMC.tray) + 1));
                  clipMC.fallTray = fallTray;
                  clipMC.fallCheck = false;
                  clipMC.art.gotoAndStop("fall");
               }
               else if(clipMC.footMask.hitTest(pattyMC))
               {
                  if(clipMC.active)
                  {
                     pattyMC.trapCount = pattyMC.trapCount + 1;
                     scripts.trapBonus(pattyMC);
                  }
                  clipMC.active = false;
                  clipMC.art.gotoAndStop("squish");
               }
            }
            i++;
         }
      }
      if(clipMC.active && clipMC.frozen == false)
      {
         i = 0;
         while(i < 50)
         {
            mustMC = eval("scene.mustardMC_" + i);
            if(clipMC.hitMask.hitTest(mustMC))
            {
               clipMC.frozen = true;
               clipMC.art.gotoAndStop("freeze");
            }
            i++;
         }
      }
   }
   function trapBonus(pattyMC)
   {
      trace(pattyMC + ":" + pattyMC.trapCount);
      if(pattyMC.trapCount == 2)
      {
         trace(pattyMC + ":adding 300 trap count");
         addScore(100);
      }
      if(pattyMC.trapCount == 3)
      {
         trace(pattyMC + ":adding 500 trap count");
         addScore(100);
      }
      if(pattyMC.trapCount == 4)
      {
         trace(pattyMC + ":adding 1000 trap count");
         addScore(400);
      }
      if(pattyMC.trapCount == 5)
      {
         trace(pattyMC + ":adding 10000 trap count");
         addScore(8900);
      }
      if(pattyMC.trapCount == 6)
      {
         trace(pattyMC + ":adding 20000 trap count");
         addScore(9900);
      }
   }
   function enemyFall(clipMC)
   {
      if(gameOn && gamePaused == false)
      {
         newY = clipMC._y + 5;
         clipMC._y = newY;
         if(clipMC.footMask.hitTest(clipMC.fallTray))
         {
            clipMC.falling = false;
            clipMC._y += 15;
            clipMC.art.gotoAndStop("fallDie");
         }
      }
   }
   function enemyGetPos(clipMC)
   {
      posX = Math.floor(clipMC._x / tileW);
      posY = Math.floor(clipMC._y / tileH);
      clipMC.tileX = posX;
      clipMC.tileY = posY;
      myDir = clipMC.myDir;
      currentDir = myDir;
      up = false;
      down = false;
      left = false;
      right = false;
      var _loc2_ = Array();
      curTileVal = map[posY][posX];
      rightTileVal = map[posY][posX + 1];
      leftTileVal = map[posY][posX - 1];
      upTileVal = map[posY - 1][posX];
      downTileVal = map[posY + 1][posX];
      clipMC.curTileVal = curTileVal;
      if(curTileVal >= 5 && upTileVal > 0)
      {
         up = true;
         _loc2_.push("up");
      }
      if(curTileVal >= 5 && downTileVal > 0)
      {
         down = true;
         _loc2_.push("down");
      }
      if(rightTileVal > 0)
      {
         right = true;
         _loc2_.push("right");
      }
      if(leftTileVal > 0)
      {
         left = true;
         _loc2_.push("left");
      }
      clipMC.right = right;
      clipMC.left = left;
      clipMC.up = up;
      clipMC.down = down;
      moveAble = false;
      if(myDir == "right" && right)
      {
         moveAble = true;
      }
      if(myDir == "left" && left)
      {
         moveAble = true;
      }
      if(myDir == "up" && up)
      {
         moveAble = true;
      }
      if(myDir == "down" && down)
      {
         moveAble = true;
      }
      tileX = posX * tileW;
      tileY = posY * tileH;
      if(clipMC._x == tileX && clipMC._y == tileY)
      {
         isCentered = true;
      }
      else
      {
         isCentered = false;
      }
      if(isCentered)
      {
         if((up || down) && (left || right) || moveAble == false)
         {
            if(clipMC.eType == 1)
            {
               if(posY == charY)
               {
                  if((currentDir == "left" || currentDir == "right") && up)
                  {
                     clipMC.myDir = "up";
                  }
                  else
                  {
                     if(posX > charX)
                     {
                        if(currentDir == "left")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                     if(posX <= charX)
                     {
                        if(currentDir == "left")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                  }
               }
               else if(posY < charY)
               {
                  if((currentDir == "left" || currentDir == "right") && down)
                  {
                     clipMC.myDir = "down";
                  }
                  else
                  {
                     if(posX > charX)
                     {
                        if(currentDir == "left")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                     if(posX <= charX)
                     {
                        if(currentDir == "left")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                  }
               }
               else if(posY > charY)
               {
                  if((currentDir == "left" || currentDir == "right") && up)
                  {
                     clipMC.myDir = "up";
                  }
                  else
                  {
                     if(posX > charX)
                     {
                        if(currentDir == "left")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                     if(posX <= charX)
                     {
                        if(currentDir == "left")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                  }
               }
            }
            if(clipMC.eType == 2)
            {
               if(posY == charY)
               {
                  if((currentDir == "left" || currentDir == "right") && down)
                  {
                     clipMC.myDir = "down";
                  }
                  else
                  {
                     if(posX > charX)
                     {
                        if(currentDir == "left")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                     if(posX <= charX)
                     {
                        if(currentDir == "left")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                  }
               }
               else if(posY < charY)
               {
                  if((currentDir == "left" || currentDir == "right") && down)
                  {
                     clipMC.myDir = "down";
                  }
                  else
                  {
                     if(posX > charX)
                     {
                        if(currentDir == "left")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                     if(posX <= charX)
                     {
                        if(currentDir == "left")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                  }
               }
               else if(posY > charY)
               {
                  if((currentDir == "left" || currentDir == "right") && up)
                  {
                     clipMC.myDir = "up";
                  }
                  else
                  {
                     if(posX > charX)
                     {
                        if(currentDir == "left")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                     if(posX <= charX)
                     {
                        if(currentDir == "left")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                        if(currentDir == "up")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                     }
                  }
               }
            }
            if(clipMC.eType == 3)
            {
               if(posX == charX)
               {
                  if(posY > charY)
                  {
                     if(currentDir == "up")
                     {
                        if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                     }
                     if(currentDir == "down")
                     {
                        if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                     }
                     if(currentDir == "left")
                     {
                        if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                     }
                     if(currentDir == "right")
                     {
                        if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                     }
                  }
                  if(posY <= charY)
                  {
                     if(currentDir == "up")
                     {
                        if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                     }
                     if(currentDir == "down")
                     {
                        if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                     }
                     if(currentDir == "left")
                     {
                        if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                     }
                     if(currentDir == "right")
                     {
                        if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                     }
                  }
               }
               if(posY == charY)
               {
                  if(posX > charX)
                  {
                     if(currentDir == "up")
                     {
                        if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                     }
                     if(currentDir == "down")
                     {
                        if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                     }
                     if(currentDir == "left")
                     {
                        if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                     }
                     if(currentDir == "right")
                     {
                        if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                     }
                  }
                  if(posX <= charX)
                  {
                     if(currentDir == "up")
                     {
                        if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                     }
                     if(currentDir == "down")
                     {
                        if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                     }
                     if(currentDir == "left")
                     {
                        if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else if(right)
                        {
                           clipMC.myDir = "right";
                        }
                     }
                     if(currentDir == "right")
                     {
                        if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else if(left)
                        {
                           clipMC.myDir = "left";
                        }
                     }
                  }
               }
               if(posX != charX && posY != charY)
               {
                  hDif = Math.abs(posX - charX);
                  vDif = Math.abs(posY - charY);
                  if(hDif >= vDif)
                  {
                     if(posX > charX)
                     {
                        if(currentDir == "up")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                        if(currentDir == "left")
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                     }
                     if(posX <= charX)
                     {
                        if(currentDir == "up")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                        if(currentDir == "left")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                     }
                  }
                  else
                  {
                     if(posY > charY)
                     {
                        if(currentDir == "up")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                        if(currentDir == "left")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                     }
                     if(posY <= charY)
                     {
                        if(currentDir == "up")
                        {
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                        if(currentDir == "down")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                        }
                        if(currentDir == "left")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                        if(currentDir == "right")
                        {
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                           else if(right)
                           {
                              clipMC.myDir = "right";
                           }
                           else if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           else if(left)
                           {
                              clipMC.myDir = "left";
                           }
                        }
                     }
                  }
               }
            }
         }
      }
      myNum = clipMC.myNumber;
      if(gameOn && gamePaused == false && clipMC.active && clipMC.frozen == false)
      {
         if(clipMC.myDir == "right")
         {
            clipMC.art.gotoAndStop("right");
            clipMC.swapDepths(1000 + myNum);
            clipMC.deltaX = enemySpeed;
            clipMC.deltaY = 0;
         }
         if(clipMC.myDir == "left")
         {
            clipMC.art.gotoAndStop("left");
            clipMC.swapDepths(1000 + myNum);
            clipMC.deltaX = - enemySpeed;
            clipMC.deltaY = 0;
         }
         if(clipMC.myDir == "down")
         {
            clipMC.art.gotoAndStop("down");
            clipMC.swapDepths(750 + myNum);
            clipMC.deltaX = 0;
            clipMC.deltaY = enemySpeed;
         }
         if(clipMC.myDir == "up")
         {
            clipMC.art.gotoAndStop("up");
            clipMC.swapDepths(750 + myNum);
            clipMC.deltaX = 0;
            clipMC.deltaY = - enemySpeed;
         }
         newX = clipMC._x + clipMC.deltaX;
         newY = clipMC._y + clipMC.deltaY;
         clipMC._x = newX;
         clipMC._y = newY;
      }
   }
   function enemyMove(clipMC)
   {
      if(gameOn && gamePaused == false)
      {
         if(clipMC.active && clipMC.frozen == false)
         {
            posX = Math.floor(clipMC._x / tileW);
            posY = Math.floor(clipMC._y / tileH);
            clipMC.tileX = posX;
            clipMC.tileY = posY;
            myDir = clipMC.myDir;
            newX = clipMC._x + clipMC.deltaX;
            newY = clipMC._y + clipMC.deltaY;
            newPosX = Math.floor(newX / tileW);
            newPosY = Math.floor(newY / tileH);
            moveAble = true;
            myDir = clipMC.myDir;
            if(clipMC.initTile == false)
            {
               if(map[newPosY][newPosX] == 0)
               {
                  moveAble = false;
               }
            }
            if(moveAble)
            {
               clipMC._x = newX;
               clipMC._y = newY;
            }
            else
            {
               enemyAI(clipMC);
               trace("stuck");
            }
         }
      }
   }
   function enemyAI(clipMC)
   {
      up = false;
      down = false;
      left = false;
      right = false;
      posX = Math.floor(clipMC._x / tileW);
      posY = Math.floor(clipMC._y / tileH);
      tileX = posX * tileW;
      tileY = posY * tileH;
      clipMC.locNum = map[posY][posX];
      if(clipMC._x == tileX && clipMC._y == tileY)
      {
         if(map[posY - 1][posX] >= 5)
         {
            up = true;
         }
         if(map[posY + 1][posX] >= 5)
         {
            down = true;
         }
         if(map[posY][posX - 1] > 0)
         {
            left = true;
         }
         if(map[posY][posX + 1] > 0)
         {
            right = true;
         }
         clipMC.up = up;
         clipMC.down = down;
         clipMC.left = left;
         clipMC.right = right;
         invalid = false;
         myDir = clipMC.myDir;
         if(myDir == "right" && right == false)
         {
            invalid = true;
         }
         if(myDir == "down" && down == false)
         {
            invalid = true;
         }
         if(myDir == "up" && up == false)
         {
            invalid = true;
         }
         if(myDir == "left" && left == false)
         {
            invalid = true;
         }
         if((up || down) && (left || right) || clipMC.initTile || invalid == true)
         {
            if(invalid)
            {
               trace(clipMC + ":invalid move");
            }
            clipMC.deltaX = 0;
            clipMC.deltaY = 0;
            hDif = Math.abs(posX - charX);
            vDif = Math.abs(posY - charY);
            if(!(posX == clipMC.initX && posY == clipMC.initY))
            {
               clipMC.initTile = false;
            }
            if(clipMC.eType == 1)
            {
               if(clipMC.myDir == "down" || clipMC.myDir == "up")
               {
                  if(posX > charX)
                  {
                     if(left)
                     {
                        clipMC.myDir = "left";
                     }
                     else if(right)
                     {
                        clipMC.myDir = "right";
                     }
                     else if(down)
                     {
                        clipMC.myDir = "down";
                     }
                     else if(up)
                     {
                        clipMC.myDir = "up";
                     }
                  }
                  if(posX <= charX)
                  {
                     if(right)
                     {
                        clipMC.myDir = "right";
                     }
                     else if(left)
                     {
                        clipMC.myDir = "left";
                     }
                     else if(down)
                     {
                        clipMC.myDir = "down";
                     }
                     else if(up)
                     {
                        clipMC.myDir = "up";
                     }
                  }
               }
               else if(down)
               {
                  clipMC.myDir = "down";
               }
               else if(up)
               {
                  clipMC.myDir = "up";
               }
            }
            if(clipMC.eType == 2)
            {
               if(clipMC.myDir == "down" || clipMC.myDir == "up")
               {
                  if(posX > charX)
                  {
                     if(left)
                     {
                        clipMC.myDir = "left";
                     }
                     else
                     {
                        clipMC.myDir = "right";
                     }
                  }
                  if(posX <= charX)
                  {
                     if(right)
                     {
                        clipMC.myDir = "right";
                     }
                     else
                     {
                        clipMC.myDir = "left";
                     }
                  }
               }
               else if(up)
               {
                  clipMC.myDir = "up";
               }
               else if(down)
               {
                  clipMC.myDir = "down";
               }
            }
            if(clipMC.eType == 3)
            {
               if(posX == charX)
               {
                  if(posY > charY)
                  {
                     if(up)
                     {
                        clipMC.myDir = "up";
                     }
                     else
                     {
                        if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        if(right)
                        {
                           clipMC.myDir = "right";
                        }
                     }
                  }
                  if(posY <= charY)
                  {
                     if(down)
                     {
                        clipMC.myDir = "down";
                     }
                     else
                     {
                        if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        if(right)
                        {
                           clipMC.myDir = "right";
                        }
                     }
                  }
               }
               if(posY == charY)
               {
                  if(posX > charX)
                  {
                     if(left)
                     {
                        clipMC.myDir = "left";
                     }
                     else
                     {
                        if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        if(down)
                        {
                           clipMC.myDir = "down";
                        }
                     }
                  }
                  if(posX <= charX)
                  {
                     if(right)
                     {
                        clipMC.myDir = "right";
                     }
                     else
                     {
                        if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        if(down)
                        {
                           clipMC.myDir = "down";
                        }
                     }
                  }
               }
               if(posX != charX && posY != charY)
               {
                  hDif = Math.abs(posX - charX);
                  vDif = Math.abs(posY - charY);
                  if(hDif >= vDif)
                  {
                     if(posX > charX)
                     {
                        if(left)
                        {
                           clipMC.myDir = "left";
                        }
                        else
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                     }
                     if(posX <= charX)
                     {
                        if(right)
                        {
                           clipMC.myDir = "right";
                        }
                        else
                        {
                           if(up)
                           {
                              clipMC.myDir = "up";
                           }
                           if(down)
                           {
                              clipMC.myDir = "down";
                           }
                        }
                     }
                  }
                  else
                  {
                     if(posY > charY)
                     {
                        if(up)
                        {
                           clipMC.myDir = "up";
                        }
                        else
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                     }
                     if(posY <= charY)
                     {
                        if(down)
                        {
                           clipMC.myDir = "down";
                        }
                        else
                        {
                           if(left)
                           {
                              clipMC.myDir = "left";
                           }
                           if(right)
                           {
                              clipMC.myDir = "right";
                           }
                        }
                     }
                  }
               }
            }
         }
      }
      myNum = clipMC.myNumber;
      if(clipMC.myDir == "right")
      {
         clipMC.art.gotoAndStop("right");
         clipMC.swapDepths(1000 + myNum);
         clipMC.deltaX = enemySpeed;
         clipMC.deltaY = 0;
      }
      if(clipMC.myDir == "left")
      {
         clipMC.art.gotoAndStop("left");
         clipMC.swapDepths(1000 + myNum);
         clipMC.deltaX = - enemySpeed;
         clipMC.deltaY = 0;
      }
      if(clipMC.myDir == "down")
      {
         clipMC.art.gotoAndStop("down");
         clipMC.swapDepths(750 + myNum);
         clipMC.deltaX = 0;
         clipMC.deltaY = enemySpeed;
      }
      if(clipMC.myDir == "up")
      {
         clipMC.art.gotoAndStop("up");
         clipMC.swapDepths(750 + myNum);
         clipMC.deltaX = 0;
         clipMC.deltaY = - enemySpeed;
      }
   }
   _global.scripts = this;
   _global.gameRoot = _parent;
   _global.map = [];
   _global.burgerMap = [];
   _global.messaging = _parent.messagingMC;
   mapDepth = 5;
   powerUpDisplay = false;
   pattyArray = [];
   levelMusicFile = new Sound();
   levelMusicFile.attachSound("levelMusicFile");
   gameOverMusic = new Sound();
   gameOverMusic.attachSound("gameOverMusic");
   powerUpSound = new Sound();
   powerUpSound.attachSound("powerUpSound");
   pattySound = new Sound();
   pattySound.attachSound("pattySound");
   burgerCompleteSound = new Sound();
   burgerCompleteSound.attachSound("burgercomplete");
   walkoverSound = new Sound();
   walkoverSound.attachSound("walkover");
   newLifeSound = new Sound();
   newLifeSound.attachSound("newLife");
   spatulaSound = new Sound();
   spatulaSound.attachSound("spatula");
   mustardSquirtSound = new Sound();
   mustardSquirtSound.attachSound("mustardSquirt");
   dieSound = new Sound();
   dieSound.attachSound("dieSound");
}
